/*CSS Syntax

CSS Rule-Set

Selector {property: value;}-CSS Rule-Set

-inside{} is declarations

{}-Declarator

{property: value;}-Declaration Block

h1 is 2x the default text

*/

/* * - universal Selector.
     Its is able to select all the elements in an HTML page 

   font-family property allows to determin the font of the text.
    The value "Courier New" becomes the default font for our elements.
    Monospace os the secondary font or the fallback font, which means 
    if the font "Courier New"  is not installed or cannot be found, 
    we will fallback to use a font similar to "Courier New"


    font-size propert allows us to change the size of the font.
    font-size can also be measured not only by pixel. Other CSS measurements
    can be used to determind the font sizes

*/

*{
	/*default font for all elements*/
	font-family: "Courier New", monospace;
	font-size: 20px;
}

html{
	/*scroll-behavior changes the scrolling when navigating within the page
	*/
	scroll-behavior: smooth;
}

body {
	/*bacground-color property changes the color of the background of an
	element*/
	background-color: skyblue;
}
nav {
	background-color: white;
}

a:hover {
	/*selector: hover psuedo class
	  change the style of an element when hovered over*/
	background-color: #b4d6de;
}

nav > div {
	
	/*display:  inline-block allowd to change the display of the div
	element from block to inline block, which means this div is now inline
	with its siblings however still act like a block element

	float: right we were able to change the horizontal alignment of our 
	element and put it to the right of our container.*/

	display: inline-block;
	float: right;
}
/* type/tag selector - allows us to select elements of the type or tag */
h1{
	/*ctrl + shift + /*/
	/*!important will make the property a priority*/
	color: black!important;
	font-size:  2rem;   /* 2 x root-element-font-size.*/
	/* 
	 rem- root element, rem is measurement based on the font size of the 
	 root element. Default font size 16px.
	 The root element is the html tag.
	 */
	text-align: center;

}

section {
	/*increased the height of our sections to 100% viewport height.
	Viewport Height is the height of the page with the screen we are 
	viewing from*/
	height: 100vh;
	/*text align allows us to horizontally align our text wihitin the 
	element.*/
	text-align: center;
}
/*id selector allows us to select the element with a particular id.
this selector is the highest priority

In CSS, you can select the id by adding # before the name of the id.

*/
h2{
	font-size: 1.5rem;
}

h3 {
	font-size: 50px;
}

#zuitt-motto {
    letter-spacing: 5px;
    font-size: 30px;
}

ol {
	/*removes the list style from our list items.*/
	list-style-type: none;
}

/*class-selector allows us to select elements/elements wit the same class.
in CSS, we can select the class by adding . before the name of the classs

an elemet can have both id and a class, however declarations for the id 
given more priority over class.*/

.offering-item{
	/*text-transform allows to determin the case of an element*/
	text-transform: uppercase;
/*	letter-spacing: 20px;*/
}
/*
attribute selector allows to select elements with the same tag and attribute
tag[attribute*/

input[required]{
	/*
	   border-width property allows us to change the thickness of elements
	   border.

	   border-style property allows us to change the style of the border.

	   border-color property allows us to change the color of element.
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The width of the input is now 90% of its parent element's */
	width: 90%;
}
/*   adjacent sibling selector. This allows us to select the sibling element
     directly after the first selector.

     the selectors doesn't have to be type it could be a class, id etc.

    */
h3 + img {
    /*height and with properties allows us to determin the height and the 
    width of an element. Unlike the height and width attributes in our 
    HTML, in CSS, we can add more measurements instead of just pixels

    border-radius 

    */

	height: 300px;
	width: 300px;
	border-radius: 150px;

	/*
	  descendant selector

	  allows us to select elements are descendants of the first 
	  selector

	  first selector (ancestor) <space> second selector
	*/
}
#bootcamp-learning-list li {
     /*#075966 as a value to color:  this is a hex value.
     This is a hexadecimal value and it consists of the pound
     sign # plus 6 alphanumeric characters.*/
	color: #075966;
}

/*  
     general sibling selector - this will alow us to select siblings 
     after our first selector*/
h2 ~ a {
	/*for text-decoration property change lines included in text (ex.
	overline, underlines or strikethrough). by default achor tags have
	underline*/
	text-decoration: none;
}

   /*
     Child Selecotr

     Allows to select the child of an element.

     selector (parent) > selector (child)
     */

body > section > form > label {
	/*rgb() can be accepted as a value of properties that change colors 
	RGB values refer to red, green and blue. And the combinatrion of these
	values from 0 to 255 determines the color.*/
	color: rgb(0,0,128);
}

form {
	text-align: center;
	background-color: white;
	/*border" <width> <style> <color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	
	/*viewporth width (vw) is a measurement based on a percentage of the width 
	of the screen we are viewing our page form*/
	
	/*position property changes the position of an element based on a criteria.

	position: relative; means we will move the element relative to its position
	in the document.

	left property allows us add measurement on the left side of the element.
	the value % is base on the measurement of the parent element. 37.25%
	from the left of the parent element.
    */

	position: relative;
	left: 37.25%;
}
button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
}






